/*
 * PM - 2016
 * lab0.c
 */


#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h> 
#include <stdio.h>
#include "Nokia5110.h"
//#include "Adafruit_BME280.h"
#include "bme280.h"

#define MY_DELAY		150

int main(void) {
	double temperatura, presiune, umiditate;
	int t, p, u;
	char temp[5];
	char pres[6];
	char umid[6];
	LCD_init();
	bme_init();
	while(1) {
		LCD_clear();
		_delay_ms(MY_DELAY);
		//LCD_write_string(0,0, "start");
		LCD_write_string(0,1, "temperatura");
		LCD_write_string(0,3, "umiditate");
		LCD_write_string(0,5, "presiune");

		bme280_read_uncomp_temperature(&t);
		temperatura = t / 10.0;
		snprintf(temp, 5, "%f", temperatura);
		LCD_write_string(0,2, temp);

		bme280_read_uncomp_pressure(&p);
		presiune = p / 10.0;
		snprintf(pres, 6, "%f", presiune);
		LCD_write_string(0,4, pres);

		bme280_read_uncomp_humidity(&u);
		umiditate = u / 10.0;
		snprintf(umid, 6, "%f", umiditate);
		LCD_write_string(0,6, umid);

		_delay_ms(MY_DELAY);
		LCD_clear(); 
	}

	return 0;
}
